Bug 1577582 - unable to install LuxRender and LuxRender-blender on F28 due to dependencies missing
Summary: unable to install LuxRender and LuxRender-blender on F28 due to dependencies ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 08:45 UTC by legocef
Modified: 2019-05-28 23:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:25:27 UTC
Type: Bug


Attachments (Terms of Use)

Description legocef 2018-05-13 08:45:17 UTC
Description of problem:

unable to install LuxRender and LuxRender-blender on F28 due to dependencies missing

Version-Release number of selected component (if applicable):


How reproducible:
try to install one of both packages

Steps to Reproduce:

dnf install LuxRender LuxRender-blender

Actual results:

Dependencies problems :

Last metadata expiration check: 0:43:14 ago on Sun 13 May 2018 10:00:21 CEST.
Error: 
 Problem 1: conflicting requests
  - nothing provides libboost_system.so.1.64.0()(64bit) needed by LuxRender-1.6-26.fc28.x86_64
 Problem 2: conflicting requests
  - nothing provides blender(ABI) = 2.79 needed by LuxRender-blender-1.6-26.fc28.noarch

Expected results:

package installed

Additional info:

Comment 1 Jérôme Benoit 2018-08-13 08:47:17 UTC
It's a showstopper for distribution version upgrade.

Comment 2 Nicolas Chauvet (kwizart) 2018-08-13 16:05:21 UTC
(In reply to Jérôme Benoit from comment #1)
> It's a showstopper for distribution version upgrade.
It shouldn't be or you are not using the distribution tools to upgrade.


That been said, I need help to maintain this component. Feel free to dig further on the compilation issue.

Comment 3 Jérôme Benoit 2018-12-04 17:58:36 UTC
Sorry for the delay. 

Could you point me to the repository hosting the .spec ?

Thanks.

Comment 4 Luya Tshimbalanga 2018-12-05 07:44:18 UTC
(In reply to Jérôme Benoit from comment #3)
> Sorry for the delay. 
> 
> Could you point me to the repository hosting the .spec ?
> 
> Thanks.

LuxRender is obsolete by upstream replaced by LuxCoreRender which is under review. https://bugzilla.redhat.com/show_bug.cgi?id=1645913

I currently have a busy schedule this week. Feel free to further refine the spec file from the link above.

Comment 5 Ben Cotton 2019-05-02 20:10:21 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 23:25:27 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.